Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# Index

Symbols | A | C | D | E | F | H | I | J | L | M | N | P | R | S | T | U | V | W | X

## Symbols

- --allow-redefinition
  - mypy command line option
- --allow-untyped-globals
  - mypy command line option
- --allowlist
  - stubtest command line option
- --always-false
  - mypy command line option
- --always-true
  - mypy command line option
- --any-exprs-report
  - mypy command line option
- --cache-dir
  - mypy command line option
- --cache-fine-grained
  - mypy command line option
- --callsites
  - dmypy command line option
- --check-typeshed
  - stubtest command line option
- --check-untyped-defs
  - mypy command line option
- --cobertura-xml-report
  - mypy command line option
- --command
  - mypy command line option
- --concise
  - stubtest command line option
- --config-file
  - mypy command line option
- --custom-typeshed-dir
  - mypy command line option
  - stubtest command line option
- --custom-typing-module
  - mypy command line option
- --disable-error-code
  - mypy command line option
- --disallow-any-decorated
  - mypy command line option
- --disallow-any-explicit
  - mypy command line option
- --disallow-any-expr
  - mypy command line option
- --disallow-any-generics
  - mypy command line option
- --disallow-any-unimported
  - mypy command line option
- --disallow-incomplete-defs
  - mypy command line option
- --disallow-subclassing-any
  - mypy command line option
- --disallow-untyped-calls
  - mypy command line option
- --disallow-untyped-decorators
  - mypy command line option
- --disallow-untyped-defs
  - mypy command line option
- --doc-dir
  - stubgen command line option
- --enable-error-code
  - mypy command line option
- --enable-incomplete-feature
  - mypy command line option
- --exclude
  - mypy command line option
- --explicit-package-bases
  - mypy command line option
- --export-less
  - stubgen command line option
- --export-types
  - dmypy command line option
- --extra-checks
  - mypy command line option
- --fast-module-lookup
  - mypy command line option
- --find-occurrences
  - mypy command line option
- --flex-any
  - dmypy command line option
- --follow-imports
  - mypy command line option
- --follow-untyped-imports
  - mypy command line option
- --force-reload
  - dmypy command line option
- --force-union-syntax
  - mypy command line option
- --force-uppercase-builtins
  - mypy command line option
- --fswatcher-dump-file
  - dmypy command line option
- --generate-allowlist
  - stubtest command line option
- --help
  - mypy command line option
  - stubgen command line option
  - stubtest command line option
- --hide-error-codes
  - mypy command line option
- --html-report
  - mypy command line option
- --ignore-errors
  - stubgen command line option
- --ignore-missing-imports
  - mypy command line option
- --ignore-missing-stub
  - stubtest command line option
- --ignore-positional-only
  - stubtest command line option
- --ignore-unused-allowlist
  - stubtest command line option
- --implicit-optional
  - mypy command line option
- --include-docstrings
  - stubgen command line option
- --include-kind
  - dmypy command line option
- --include-object-attrs
  - dmypy command line option
- --include-private
  - stubgen command line option
- --include-span
  - dmypy command line option
- --inspect-mode
  - stubgen command line option
- --install-types
  - mypy command line option
- --json
  - dmypy command line option
- --junit-xml
  - mypy command line option
- --limit
  - dmypy command line option
- --linecount-report
  - mypy command line option
- --linecoverage-report
  - mypy command line option
- --lineprecision-report
  - mypy command line option
- --local-partial-types
  - mypy command line option
- --log-file
  - dmypy command line option
- --max-guesses
  - dmypy command line option
- --module
  - mypy command line option
  - stubgen command line option

- --mypy-config-file
  - stubtest command line option
- --no-analysis
  - stubgen command line option
- --no-any
  - dmypy command line option
- --no-color-output
  - mypy command line option
- --no-error-summary
  - mypy command line option
- --no-errors
  - dmypy command line option
- --no-implicit-reexport
  - mypy command line option
- --no-import
  - stubgen command line option
- --no-incremental
  - mypy command line option
- --no-namespace-packages
  - mypy command line option
- --no-silence-site-packages
  - mypy command line option
- --no-site-packages
  - mypy command line option
- --no-strict-optional
  - mypy command line option
- --no-warn-no-return
  - mypy command line option
- --non-interactive
  - mypy command line option
- --output
  - mypy command line option
  - stubgen command line option
- --package
  - mypy command line option
  - stubgen command line option
- --pdb
  - mypy command line option
- --perf-stats-file
  - dmypy command line option
- --platform
  - mypy command line option
- --pretty
  - mypy command line option
- --python-executable
  - mypy command line option
- --python-version
  - mypy command line option
- --quiet
  - stubgen command line option
- --raise-exceptions
  - mypy command line option
- --remove
  - dmypy command line option
- --report-deprecated-as-note
  - mypy command line option
- --scripts-are-modules
  - mypy command line option
- --search-path
  - stubgen command line option
- --shadow-file
  - mypy command line option
- --show
  - dmypy command line option
- --show-absolute-path
  - mypy command line option
- --show-column-numbers
  - mypy command line option
- --show-error-code-links
  - mypy command line option
- --show-error-context
  - mypy command line option
- --show-error-end
  - mypy command line option
- --show-traceback
  - mypy command line option
- --skip-cache-mtime-checks
  - mypy command line option
- --skip-version-check
  - mypy command line option
- --soft-error-limit
  - mypy command line option
- --sqlite-cache
  - mypy command line option
- --status-file
  - dmypy command line option
- --strict
  - mypy command line option
- --strict-bytes
  - mypy command line option
- --strict-equality
  - mypy command line option
- --tb
  - mypy command line option
- --timeout
  - dmypy command line option
- --txt-report
  - mypy command line option
- --union-attrs
  - dmypy command line option
- --untyped-calls-exclude
  - mypy command line option
- --update
  - dmypy command line option
- --use-fixme
  - dmypy command line option
- --verbose
  - dmypy command line option
  - mypy command line option
  - stubgen command line option
- --version
  - mypy command line option
- --warn-incomplete-stub
  - mypy command line option
- --warn-redundant-casts
  - mypy command line option
- --warn-return-any
  - mypy command line option
- --warn-unreachable
  - mypy command line option
- --warn-unused-configs
  - mypy command line option
- --warn-unused-ignores
  - mypy command line option
- --xml-report
  - mypy command line option
- -c
  - mypy command line option
- -h
  - mypy command line option
  - stubgen command line option
- -m
  - mypy command line option
  - stubgen command line option
- -O
  - mypy command line option
- -o
  - stubgen command line option
- -p
  - mypy command line option
  - stubgen command line option
- -q
  - stubgen command line option
- -V
  - mypy command line option
- -v
  - mypy command line option
  - stubgen command line option

## A

- allow_redefinition
  - configuration value
- allow_untyped_globals
  - configuration value
- always_false
  - configuration value

- always_true
  - configuration value
- any_exprs_report
  - configuration value

## C

- cache_dir
  - configuration value
- cache_fine_grained
  - configuration value
- check_untyped_defs
  - configuration value
- cobertura_xml_report
  - configuration value
- color_output
  - configuration value
- configuration value
  - allow_redefinition
  - allow_untyped_globals
  - always_false
  - always_true
  - any_exprs_report
  - cache_dir
  - cache_fine_grained
  - check_untyped_defs
  - cobertura_xml_report
  - color_output
  - custom_typeshed_dir
  - custom_typing_module
  - disable_error_code
  - disallow_any_decorated
  - disallow_any_explicit
  - disallow_any_expr
  - disallow_any_generics
  - disallow_any_unimported
  - disallow_incomplete_defs
  - disallow_subclassing_any
  - disallow_untyped_calls
  - disallow_untyped_decorators
  - disallow_untyped_defs
  - enable_error_code
  - error_summary
  - exclude
  - explicit_package_bases
  - extra_checks
  - files
  - follow_imports
  - follow_imports_for_stubs
  - follow_untyped_imports
  - force_union_syntax
  - force_uppercase_builtins
  - hide_error_codes
  - html_report / xslt_html_report
  - ignore_errors
  - ignore_missing_imports
  - implicit_optional
  - implicit_reexport
  - incremental
  - junit_xml
  - linecount_report
  - linecoverage_report
  - lineprecision_report
  - local_partial_types
  - modules
  - mypy_path
  - namespace_packages
  - no_silence_site_packages
  - no_site_packages
  - packages
  - pdb
  - platform
  - plugins
  - pretty
  - python_executable
  - python_version
  - raise_exceptions
  - scripts_are_modules
  - show_absolute_path
  - show_column_numbers
  - show_error_code_links
  - show_error_context
  - show_traceback
  - skip_cache_mtime_checks
  - skip_version_check
  - sqlite_cache
  - strict
  - strict_bytes
  - strict_concatenate
  - strict_equality
  - strict_optional
  - txt_report / xslt_txt_report
  - untyped_calls_exclude
  - verbosity
  - warn_incomplete_stub
  - warn_no_return
  - warn_redundant_casts
  - warn_return_any
  - warn_unreachable
  - warn_unused_configs
  - warn_unused_ignores
  - xml_report

- custom_typeshed_dir
  - configuration value
- custom_typing_module
  - configuration value

## D

- disable_error_code
  - configuration value
- disallow_any_decorated
  - configuration value
- disallow_any_explicit
  - configuration value
- disallow_any_expr
  - configuration value
- disallow_any_generics
  - configuration value
- disallow_any_unimported
  - configuration value
- disallow_incomplete_defs
  - configuration value
- disallow_subclassing_any
  - configuration value
- disallow_untyped_calls
  - configuration value
- disallow_untyped_decorators
  - configuration value
- disallow_untyped_defs
  - configuration value
- dmypy command line option
  - --callsites
  - --export-types
  - --flex-any
  - --force-reload
  - --fswatcher-dump-file
  - --include-kind
  - --include-object-attrs
  - --include-span
  - --json
  - --limit
  - --log-file
  - --max-guesses
  - --no-any
  - --no-errors
  - --perf-stats-file
  - --remove
  - --show
  - --status-file
  - --timeout
  - --union-attrs
  - --update
  - --use-fixme
  - --verbose

## E

- enable_error_code
  - configuration value
- error_summary
  - configuration value
- exclude
  - configuration value

- explicit_package_bases
  - configuration value
- extra_checks
  - configuration value

## F

- files
  - configuration value
- follow_imports
  - configuration value
- follow_imports_for_stubs
  - configuration value

- follow_untyped_imports
  - configuration value
- force_union_syntax
  - configuration value
- force_uppercase_builtins
  - configuration value

## H

- hide_error_codes
  - configuration value

- html_report / xslt_html_report
  - configuration value

## I

- ignore_errors
  - configuration value
- ignore_missing_imports
  - configuration value
- implicit_optional
  - configuration value

- implicit_reexport
  - configuration value
- incremental
  - configuration value
- InlineTypedDict}
  - mypy command line option

## J

- junit_xml
  - configuration value

## L

- linecount_report
  - configuration value
- linecoverage_report
  - configuration value

- lineprecision_report
  - configuration value
- local_partial_types
  - configuration value

## M

- modules
  - configuration value
- mypy command line option
  - --allow-redefinition
  - --allow-untyped-globals
  - --always-false
  - --always-true
  - --any-exprs-report
  - --cache-dir
  - --cache-fine-grained
  - --check-untyped-defs
  - --cobertura-xml-report
  - --command
  - --config-file
  - --custom-typeshed-dir
  - --custom-typing-module
  - --disable-error-code
  - --disallow-any-decorated
  - --disallow-any-explicit
  - --disallow-any-expr
  - --disallow-any-generics
  - --disallow-any-unimported
  - --disallow-incomplete-defs
  - --disallow-subclassing-any
  - --disallow-untyped-calls
  - --disallow-untyped-decorators
  - --disallow-untyped-defs
  - --enable-error-code
  - --enable-incomplete-feature
  - --exclude
  - --explicit-package-bases
  - --extra-checks
  - --fast-module-lookup
  - --find-occurrences
  - --follow-imports
  - --follow-untyped-imports
  - --force-union-syntax
  - --force-uppercase-builtins
  - --help
  - --hide-error-codes
  - --html-report
  - --ignore-missing-imports
  - --implicit-optional
  - --install-types
  - --junit-xml
  - --linecount-report
  - --linecoverage-report
  - --lineprecision-report
  - --local-partial-types
  - --module
  - --no-color-output
  - --no-error-summary
  - --no-implicit-reexport
  - --no-incremental
  - --no-namespace-packages
  - --no-silence-site-packages
  - --no-site-packages
  - --no-strict-optional
  - --no-warn-no-return
  - --non-interactive
  - --output
  - --package
  - --pdb
  - --platform
  - --pretty
  - --python-executable
  - --python-version
  - --raise-exceptions
  - --report-deprecated-as-note
  - --scripts-are-modules
  - --shadow-file
  - --show-absolute-path
  - --show-column-numbers
  - --show-error-code-links
  - --show-error-context
  - --show-error-end
  - --show-traceback
  - --skip-cache-mtime-checks
  - --skip-version-check
  - --soft-error-limit
  - --sqlite-cache
  - --strict
  - --strict-bytes
  - --strict-equality
  - --tb
  - --txt-report
  - --untyped-calls-exclude
  - --verbose
  - --version
  - --warn-incomplete-stub
  - --warn-redundant-casts
  - --warn-return-any
  - --warn-unreachable
  - --warn-unused-configs
  - --warn-unused-ignores
  - --xml-report
  - -c
  - -h
  - -m
  - -O
  - -p
  - -v
  - -V
  - InlineTypedDict}

- mypy_path
  - configuration value

## N

- namespace_packages
  - configuration value
- no_silence_site_packages
  - configuration value

- no_site_packages
  - configuration value

## P

- packages
  - configuration value
- pdb
  - configuration value
- platform
  - configuration value
- plugins
  - configuration value
- pretty
  - configuration value
- Python Enhancement Proposals
  - PEP 420, [1]
  - PEP 484, [1], [2], [3], [4], [5]
  - PEP 484#function-method-overloading
  - PEP 484#the-type-of-class-objects, [1]
  - PEP 484#type-aliases
  - PEP 492
  - PEP 508
  - PEP 525
  - PEP 544, [1]
  - PEP 544#generic-protocols
  - PEP 557
  - PEP 561, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  - PEP 561#stub-only-packages
  - PEP 563, [1]
  - PEP 585
  - PEP 604, [1]
  - PEP 613, [1]
  - PEP 646
  - PEP 647
  - PEP 673, [1]
  - PEP 705
  - PEP 742, [1]

- python_executable
  - configuration value
- python_version
  - configuration value

## R

- raise_exceptions
  - configuration value

## S

- scripts_are_modules
  - configuration value
- show_absolute_path
  - configuration value
- show_column_numbers
  - configuration value
- show_error_code_links
  - configuration value
- show_error_context
  - configuration value
- show_traceback
  - configuration value
- skip_cache_mtime_checks
  - configuration value
- skip_version_check
  - configuration value
- sqlite_cache
  - configuration value
- strict
  - configuration value
- strict_bytes
  - configuration value
- strict_concatenate
  - configuration value
- strict_equality
  - configuration value
- strict_optional
  - configuration value
- stubgen command line option
  - --doc-dir
  - --export-less
  - --help
  - --ignore-errors
  - --include-docstrings
  - --include-private
  - --inspect-mode
  - --module
  - --no-analysis
  - --no-import
  - --output
  - --package
  - --quiet
  - --search-path
  - --verbose
  - -h
  - -m
  - -o
  - -p
  - -q
  - -v

- stubtest command line option
  - --allowlist
  - --check-typeshed
  - --concise
  - --custom-typeshed-dir
  - --generate-allowlist
  - --help
  - --ignore-missing-stub
  - --ignore-positional-only
  - --ignore-unused-allowlist
  - --mypy-config-file

## T

- txt_report / xslt_txt_report
  - configuration value

## U

- untyped_calls_exclude
  - configuration value

## V

- verbosity
  - configuration value

## W

- warn_incomplete_stub
  - configuration value
- warn_no_return
  - configuration value
- warn_redundant_casts
  - configuration value
- warn_return_any
  - configuration value

- warn_unreachable
  - configuration value
- warn_unused_configs
  - configuration value
- warn_unused_ignores
  - configuration value

## X

- xml_report
  - configuration value